Subject: Re: linux-next: build failure after merge of the final tree (gpio tree related)

From: Grant Likely <[email-masked]>
Date: Sun, 5 Feb 2012 23:07:08 -0700

On Mon, Feb 06, 2012 at 03:23:46PM +1100, Stephen Rothwell wrote:
> Hi Grant,
> 
> After merging the final tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> drivers/gpio/gpio-sodaville.c:130:2: error: unknown field 'dt_translate' specified in initializer
> drivers/gpio/gpio-sodaville.c:130:2: warning: initialization from incompatible pointer type [enabled by default]
> drivers/gpio/gpio-sodaville.c:130:2: warning: (near initialization for 'irq_domain_sdv_ops.match') [enabled by default]
> drivers/gpio/gpio-sodaville.c: In function 'sdv_register_irqsupport':
> drivers/gpio/gpio-sodaville.c:152:8: error: 'struct irq_domain' has no member named 'irq_base'
> drivers/gpio/gpio-sodaville.c:182:2: error: implicit declaration of function 'irq_domain_add' [-Werror=implicit-function-declaration]
> drivers/gpio/gpio-sodaville.c: In function 'sdv_gpio_remove':
> drivers/gpio/gpio-sodaville.c:263:2: error: implicit declaration of function 'irq_domain_del' [-Werror=implicit-function-declaration]
> 
> Caused by commit 8b26c833d229 ("gpio: Add a driver for Sodaville GPIO
> controller") interacting with the irqdomain tree changes.
> 
> I have reverted that commit for today.  I am not sure how you should
> handle this ... you could send me a fixup patch that I should apply as a
> merge fix when merging the irqdomain tree.

The sodavile is an x86 driver only.  This problem can be solved by
making it depend on x86, which I'll do now.  When x86 is converted to the
new irq_domain code the problem will go even further away.

g.